package domain


type AlibabaWdkSupplierRefundGetSupplierRefundQueryListRequest struct {
    /*
        渠道来源     */
    OrderFrom  *int64 `json:"order_from,omitempty" `

    /*
        售卖商场code     */
    SourceMerchantCode  *string `json:"source_merchant_code,omitempty" `

    /*
        盒马主订单id     */
    MainBizOrderIds  *[]int64 `json:"main_biz_order_ids,omitempty" `

    /*
        盒马子订单id     */
    SubBizOrderIds  *[]int64 `json:"sub_biz_order_ids,omitempty" `

    /*
        退款单id     */
    RefundIds  *[]int64 `json:"refund_ids,omitempty" `

}

func (s *AlibabaWdkSupplierRefundGetSupplierRefundQueryListRequest) SetOrderFrom(v int64) *AlibabaWdkSupplierRefundGetSupplierRefundQueryListRequest {
    s.OrderFrom = &v
    return s
}
func (s *AlibabaWdkSupplierRefundGetSupplierRefundQueryListRequest) SetSourceMerchantCode(v string) *AlibabaWdkSupplierRefundGetSupplierRefundQueryListRequest {
    s.SourceMerchantCode = &v
    return s
}
func (s *AlibabaWdkSupplierRefundGetSupplierRefundQueryListRequest) SetMainBizOrderIds(v []int64) *AlibabaWdkSupplierRefundGetSupplierRefundQueryListRequest {
    s.MainBizOrderIds = &v
    return s
}
func (s *AlibabaWdkSupplierRefundGetSupplierRefundQueryListRequest) SetSubBizOrderIds(v []int64) *AlibabaWdkSupplierRefundGetSupplierRefundQueryListRequest {
    s.SubBizOrderIds = &v
    return s
}
func (s *AlibabaWdkSupplierRefundGetSupplierRefundQueryListRequest) SetRefundIds(v []int64) *AlibabaWdkSupplierRefundGetSupplierRefundQueryListRequest {
    s.RefundIds = &v
    return s
}
